%{!?__python2: %global __python2 %__python}
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}

%global pkgname molecule
%global setup_cmd SKIP_PIP_INSTALL=1 PBR_VERSION=%{version} %{__python2} setup.py

Name:           python2-%{pkgname}
Version:        2.7
Release:        1%{?dist}
Summary:        Molecule is designed to aid in the development and testing of Ansible roles.

License:        MIT
URL:            https://github.com/metacloud/molecule
Source0:        https://github.com/metacloud/%{pkgname}/archive/%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python2-devel
BuildRequires:  python2-pytest
BuildRequires:  python2-pbr

# testing requirements
BuildRequires:  python2-sh
BuildRequires:  python2-anyconfig
BuildRequires:  python2-colorama
BuildRequires:  python2-jinja2
BuildRequires:  python2-marshmallow
BuildRequires:  PyYAML
BuildRequires:  ansible
BuildRequires:  python2-click
BuildRequires:  yamllint

Requires:       python2-pytest
Requires:       python2-testinfra
Requires:       ansible

%description
Molecule is designed to aid in the development and testing of Ansible roles.
Molecule provides support for testing with multiple instances, operating
systems and distributions, virtualization providers, test frameworks and
testing scenarios. Molecule is opinionated in order to encourage an approach
that results in consistently developed roles that are well-written, easily
understood and maintained. Molecule uses Ansible playbooks to exercise the role
and its associated tests. Molecule supports any provider that Ansible supports.

%prep
%autosetup -c -N
pushd %{pkgname}-%{version}
sed -i 's/yamllint==1.8.1/yamllint==1.10.0/' requirements.txt
popd

%build
pushd %{pkgname}-%{version}
%{setup_cmd} build
popd

%install
rm -rf $RPM_BUILD_ROOT
pushd %{pkgname}-%{version}
%{setup_cmd} install -O1 --skip-build --root $RPM_BUILD_ROOT
popd

%check
pushd %{pkgname}-%{version}
%{setup_cmd} test
popd

%files
%license %{pkgname}-%{version}/LICENSE
%doc %{pkgname}-%{version}/doc
%doc %{pkgname}-%{version}/*.rst
%doc %{pkgname}-%{version}/*-requirements.txt
%{python2_sitelib}/*

%changelog
* Tue Jan 23 2018 Brett Lentz <brett.lentz@gmail.com>
- initial package
